unigram_s Struct Reference

Unigram structure (common among all lm3g implementations) More...

`#include <lm3g_model.h>`

## Data Fields

lmprob_t | prob1
| Unigram probability. More...
lmprob_t | bo_wt1
| Unigram backoff weight. More...
int32 | bigrams
| Index of 1st entry in lm_t.bigrams[].

## Detailed Description

Unigram structure (common among all lm3g implementations)

Definition at line 91 of file lm3g_model.h.

## Field Documentation

lmprob_t unigram_s::bo_wt1

Unigram backoff weight.

Definition at line 93 of file lm3g_model.h.

lmprob_t unigram_s::prob1

Unigram probability.

Definition at line 92 of file lm3g_model.h.

The documentation for this struct was generated from the following file:

- src/libsphinxbase/lm/lm3g_model.h